# StartScilab

Initializes and starts Scilab engine in Call Scilab

    BOOL StartScilab(char *SCIpath, char *ScilabStartup, int Stacksize);

## Description

This fonction starts the Scilab engine. This is mandatory to use SendScilabJob functions and to manage Scilab's data.

BOOL is just a simple typedef on int (`typedef int BOOL` ). TRUE is defined on 1 (`#define TRUE 1`) and FALSE is defined on 0 (`#define FALSE 0`).

## Arguments

SCIpath

  a standard C char* containing the path to Scilab data

  This argument is mandatory under Linux, Unix or Mac OS X.

  Under Windows, if SCIpath is NULL, Scilab will find the path.

ScilabStartup

  a standard C char* containing the path to Scilab startup script (scilab.start)

  If ScilabStartup is NULL, Scilab will use the default path (detected from SCIpath).

Stacksize

  a standard int defining the size of the Scilab stack

  If Stacksize is zero, Scilab will use the default stacksize of Scilab.

returns

  1 (TRUE) if the operation is successfull.

  0 (FALSE) if an error during initialization occurred.

## Examples

                // A simple StartScilab example
                if ( StartScilab(getenv("SCI"), NULL, 0) == FALSE )
                {
                fprintf(stderr,"Error while calling StartScilab\n");
                return -1;
                }

## See Also

- Call_Scilab
- api Scilab
- Compile and run with call_scilab
- SendScilabJob
- TerminateScilab
- Double Management
- Boolean Management
- Complex Management
- String Management